Package com.microsoft.sqlserver.jdbc.dataclassification

## Class SensitivityClassification

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.SensitivityClassification

    public class SensitivityClassification
    extends Object

Provides the functionlity to retrieve Sensitivity Classification data as received from SQL Server for the active resultSet

### Constructor Summary

Constructors
`SensitivityClassification​(List<Label> labels, List<InformationType> informationTypes, List<ColumnSensitivity> columnSensitivity)` Constructs a `SensitivityClassification` Object

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ColumnSensitivity>` `getColumnSensitivities()` Returns the column sensitivity for this `SensitivityClassification` Object
`List<InformationType>` `getInformationTypes()` Returns the information types for this `SensitivityClassification` Object
`List<Label>` `getLabels()` Returns the labels for this `SensitivityClassification` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SensitivityClassification

    public SensitivityClassification​(List<Label> labels,
                                     List<InformationType> informationTypes,
                                     List<ColumnSensitivity> columnSensitivity)

Constructs a `SensitivityClassification` Object

Parameters:
  `labels` - Labels as received from SQL Server
  `informationTypes` - Information Types as received from SQL Server
  `columnSensitivity` - Column Sensitivities as received from SQL Server

### Method Detail

#### getLabels

    public List<Label> getLabels()

Returns the labels for this `SensitivityClassification` Object

Returns:
  labels

#### getInformationTypes

    public List<InformationType> getInformationTypes()

Returns the information types for this `SensitivityClassification` Object

Returns:
  informationTypes

#### getColumnSensitivities

    public List<ColumnSensitivity> getColumnSensitivities()

Returns the column sensitivity for this `SensitivityClassification` Object

Returns:
  columnSensitivities